Perfstat.perfstat_protocol_t.AnonymousStructRPCserverdgram (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.aix, interface: Perfstat, class: perfstat_protocol_t, class: AnonymousStructRPCserverdgram

Package com.sun.jna.platform.unix.aix

# Class Perfstat.perfstat_protocol_t.AnonymousStructRPCserverdgram

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructRPCserverdgram

Enclosing class:
  Perfstat.perfstat_protocol_t

@FieldOrder({"calls","badcalls","nullrecv","badlen","xdrcall","dupchecks","dupreqs"}) public static class Perfstat.perfstat_protocol_t.AnonymousStructRPCserverdgram extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `badcalls`
  `long`
  `badlen`
  `long`
  `calls`
  `long`
  `dupchecks`
  `long`
  `dupreqs`
  `long`
  `nullrecv`
  `long`
  `xdrcall`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnonymousStructRPCserverdgram()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### calls

    public long calls

  - ### badcalls

    public long badcalls

  - ### nullrecv

    public long nullrecv

  - ### badlen

    public long badlen

  - ### xdrcall

    public long xdrcall

  - ### dupchecks

    public long dupchecks

  - ### dupreqs

    public long dupreqs

- ## Constructor Details

  - ### AnonymousStructRPCserverdgram

    public AnonymousStructRPCserverdgram()